For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate EFT Account
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Interac Account
      • DELDelete Withdrawer Paypal Account
      • DELDelete Withdrawer Pix Account
      • DELDelete Withdrawer Venmo Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Validate KYC Information

POST
https://api-sandbox.coinflow.cash/api/withdraw/kyc/validate
POST
/api/withdraw/kyc/validate
$curl -X POST https://api-sandbox.coinflow.cash/api/withdraw/kyc/validate \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "Emily",
> "lastName": "Johnson"
>}'
200Successful
1{
2 "invalidFields": [],
3 "valid": true
4}
This endpoint checks if the user's provided information matches the information used during their Know-Your-Customer (KYC) verification. It returns an object with a `valid` property that is `true` if the information matches and `false` otherwise. A 404 error is returned if the KYC information for the user cannot be found. This does not indicate a validation failure. Check the response body to determine if the KYC information is valid.
Was this page helpful?
Previous
Built with

This endpoint checks if the user’s provided information matches the information used during their Know-Your-Customer (KYC) verification. It returns an object with a valid property that is true if the information matches and false otherwise. A 404 error is returned if the KYC information for the user cannot be found. This does not indicate a validation failure. Check the response body to determine if the KYC information is valid.

Authentication

x-coinflow-auth-user-idstring

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
firstNamestringRequired>=1 character
First name of the user
lastNamestringRequired>=1 character
Last name of the user
dobstringOptionalformat: "^\d\d\d\d-\d\d-\d\d$"
Date of birth of the user
countrystringOptionalformat: "^[A-Z,a-z]{2}$"=2 characters

Country of the user (ISO 3166-1 alpha-2)

matchThresholdintegerOptional
Matching Threshold The name comparison does not match exact strings, but instead is a fuzzy match so that nicknames or small misspellings don't lead to false positives. Therefore, you are able to pass a threshold, 100 being most strict and 0 being least strict. If not passed the system will default to 90.

Response

Ok
invalidFieldslist of strings
validboolean